#!/usr/bin/python
# coding=utf-8

"""
convert docutils OG episode scripts into subtitle templates

i=5; id=1x;
while [ -n "$id" ]; do
	../subtitles/to_srt.py < src/$id.txt > $(printf "../subtitles/no-timestamps/og-1-%02i.srt" $i);
	id=$(sed -nre 's#^next: (.*)$#\1#gp' meta/$id.txt);
	i=$((i+1));
done
"""

import sys, re

SPLITCHARS = u'.?…!–'

subcount = 1
for l in sys.stdin:
	l = l.decode ('utf-8')
	if not l.startswith (':'):
		continue
	
	l = l[l.find (':', 1)+1:].strip ()

	lsplit = []
	start = 0
	for i in xrange (len (l)):
		if l[i] in SPLITCHARS:
			lsplit.append (l[start:i+1].replace ('*(', '<i>[').replace (')*', ']</i>'))
			start = i+1

	joinstart = 0
	joinend = 1
	while joinend <= len (lsplit):
		if sum (map (len, lsplit[joinstart:joinend])) > 50 or joinend == len (lsplit):
			out = u'%d\n00:00:00,000 --> 00:00:00,000\n%s\n\n' % (subcount,
					''.join (lsplit[joinstart:joinend]).strip ())
			sys.stdout.write (out.encode ('utf-8'))
			joinstart = joinend
			subcount += 1
		joinend += 1

